Bug 733517 - [abrt] sed-4.2.1-7.fc15: _dl_new_object: Process /bin/sed was killed by signal 11 (SIGSEGV)
Summary: [abrt] sed-4.2.1-7.fc15: _dl_new_object: Process /bin/sed was killed by signa...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: sed
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2c65f214487dee1946c88c33bbb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 20:44 UTC by Miloslav Trmač
Modified: 2012-07-12 07:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-12 07:47:23 UTC


Attachments (Terms of Use)
File: var_log_messages (21.70 KB, text/plain)
2011-08-25 20:44 UTC, Miloslav Trmač
no flags Details
File: backtrace (22.76 KB, text/plain)
2011-08-25 20:44 UTC, Miloslav Trmač
no flags Details

Description Miloslav Trmač 2011-08-25 20:44:11 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        sed '/\\//!d;s|^|libuser-0.57.2/|;s,/[^/]*$,,'
comment:        Something invoked by (make distcheck) 
component:      sed
crash_function: _dl_new_object
executable:     /bin/sed
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        sed-4.2.1-7.fc15
reason:         Process /bin/sed was killed by signal 11 (SIGSEGV)
time:           Thu Aug 25 22:33:16 2011
uid:            500
username:       mitr

backtrace:      Text file, 23309 bytes
var_log_messages: Text file, 22223 bytes

dso_list:
:/etc/ld.so.cache glibc-2.14-5.x86_64 (Fedora Project) 1312998757
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312998757
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1312998766
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312998757
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1312998757
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312998757
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1311643383
:/bin/sed sed-4.2.1-7.fc15.x86_64 (Fedora Project) 1311643383

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-mitr
:XDG_SESSION_ID=1
:HOSTNAME=kulicka
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GEM_HOME=/home/mitr/.ruby/lib/ruby/gems/1.8
:GPG_AGENT_INFO=/tmp/keyring-7caNsz/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:MAKEFLAGS=w
:XDG_SESSION_COOKIE=e14ebfb15bae1ad2d60f1a0f00000014-1314271426.646866-282759129
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=10485765
:GNOME_KEYRING_CONTROL=/tmp/keyring-7caNsz
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=mitr
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-7caNsz/ssh
:MAKELEVEL=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1735,unix/unix:/tmp/.ICE-unix/1735
:USERNAME=mitr
:MFLAGS=-w
:MAIL=/var/spool/mail/mitr
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mitr/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mitr/co/fedora/libuser/build
:XMODIFIERS=@im=none
:EDITOR=vim
:LANG=cs_CZ.utf8
:GNOME_KEYRING_PID=1727
:GDM_LANG=cs_CZ.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoreboth
:SHLVL=3
:HOME=/home/mitr
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mitr
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-u3XUt4GYSu,guid=20c9582381d3b9bdaccf65cb0000002c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/mitr
:RUBYLIB=/home/mitr/.ruby/lib/ruby:/home/mitr/.ruby/lib/site_ruby/1.8
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mitr-ciuL7k/database
:_=/bin/sed

maps:
:00400000-00410000 r-xp 00000000 fd:02 14942244                           /bin/sed
:0060f000-00610000 rw-p 0000f000 fd:02 14942244                           /bin/sed
:00610000-00619000 rw-p 00000000 00:00 0 
:0080f000-00811000 rw-p 0000f000 fd:02 14942244                           /bin/sed
:0264c000-0266d000 rw-p 00000000 00:00 0                                  [heap]
:3365800000-336581f000 r-xp 00000000 fd:02 20840498                       /lib64/ld-2.14.so
:3365a1e000-3365a1f000 r--p 0001e000 fd:02 20840498                       /lib64/ld-2.14.so
:3365a1f000-3365a20000 rw-p 0001f000 fd:02 20840498                       /lib64/ld-2.14.so
:3365a20000-3365a21000 rw-p 00000000 00:00 0 
:3365c00000-3365d8f000 r-xp 00000000 fd:02 20840542                       /lib64/libc-2.14.so
:3365d8f000-3365f8f000 ---p 0018f000 fd:02 20840542                       /lib64/libc-2.14.so
:3365f8f000-3365f93000 r--p 0018f000 fd:02 20840542                       /lib64/libc-2.14.so
:3365f93000-3365f94000 rw-p 00193000 fd:02 20840542                       /lib64/libc-2.14.so
:3365f94000-3365f9a000 rw-p 00000000 00:00 0 
:3366800000-3366802000 r-xp 00000000 fd:02 20840644                       /lib64/libdl-2.14.so
:3366802000-3366a02000 ---p 00002000 fd:02 20840644                       /lib64/libdl-2.14.so
:3366a02000-3366a03000 r--p 00002000 fd:02 20840644                       /lib64/libdl-2.14.so
:3366a03000-3366a04000 rw-p 00003000 fd:02 20840644                       /lib64/libdl-2.14.so
:3367800000-336781d000 r-xp 00000000 fd:02 20840655                       /lib64/libselinux.so.1
:336781d000-3367a1c000 ---p 0001d000 fd:02 20840655                       /lib64/libselinux.so.1
:3367a1c000-3367a1d000 r--p 0001c000 fd:02 20840655                       /lib64/libselinux.so.1
:3367a1d000-3367a1e000 rw-p 0001d000 fd:02 20840655                       /lib64/libselinux.so.1
:3367a1e000-3367a1f000 rw-p 00000000 00:00 0 
:7f722f43b000-7f722f452000 r--p 00000000 fd:02 16385382                   /etc/ld.so.cache
:7f722f452000-7f7235874000 r--p 00000000 fd:02 7477137                    /usr/lib/locale/locale-archive
:7f7235874000-7f7235877000 rw-p 00000000 00:00 0 
:7f7235884000-7f7235887000 rw-p 00000000 00:00 0 
:7f7235887000-7f723588e000 r--s 00000000 fd:02 7742889                    /usr/lib64/gconv/gconv-modules.cache
:7f723588e000-7f723588f000 rw-p 00000000 00:00 0 
:7fffd02e1000-7fffd0302000 rw-p 00000000 00:00 0                          [stack]
:7fffd03ff000-7fffd0400000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Comment 1 Miloslav Trmač 2011-08-25 20:44:14 UTC
Created attachment 519980 [details]
File: var_log_messages

Comment 2 Miloslav Trmač 2011-08-25 20:44:16 UTC
Created attachment 519981 [details]
File: backtrace

Comment 3 Miloslav Trmač 2011-08-25 20:45:25 UTC
LC_ALL=C is a workaround.  Without that, my settings are:
LANG=cs_CZ.utf8
LC_CTYPE="cs_CZ.utf8"
LC_NUMERIC="cs_CZ.utf8"
LC_TIME="cs_CZ.utf8"
LC_COLLATE="cs_CZ.utf8"
LC_MONETARY="cs_CZ.utf8"
LC_MESSAGES="cs_CZ.utf8"
LC_PAPER="cs_CZ.utf8"
LC_NAME="cs_CZ.utf8"
LC_ADDRESS="cs_CZ.utf8"
LC_TELEPHONE="cs_CZ.utf8"
LC_MEASUREMENT="cs_CZ.utf8"
LC_IDENTIFICATION="cs_CZ.utf8"
LC_ALL=

Comment 4 Miloslav Trmač 2011-08-25 20:46:56 UTC
Here's a partial output of (make -n) that might be helpful for reproducing the crash:

srcdirstrip=`echo ".." | sed 's/[].[^$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo ".." | sed 's/[].[^$\\*]/\\\\&/g'`; \
list='README ../m4/gettext.m4 ../m4/gtk-doc.m4 ../m4/iconv.m4 ../m4/intlmacosx.m4 ../m4/lib-ld.m4 ../m4/lib-link.m4 ../m4/lib-prefix.m4 ../m4/libtool.m4 ../m4/ltoptions.m4 ../m4/ltsugar.m4 ../m4/ltversion.m4 ../m4/lt~obsolete.m4 ../m4/nls.m4 ../m4/po.m4 ../m4/progtest.m4 ../configure.in  ../aclocal.m4 apps/lgroupadd.1 apps/lgroupdel.1 apps/lgroupmod.1 apps/lchage.1 apps/lchfn.1 apps/lchsh.1 apps/lid.1 apps/lnewusers.1 apps/lpasswd.1 apps/luseradd.1 apps/luserdel.1 apps/lusermod.1 python/ldap-script python/test-script libuser.conf python/admin.c python/ent.c python/misc.c lib/config.h lib/entity.h lib/error.h lib/prompt.h lib/user.h lib/user_private.h ../Makefile.am ../Makefile.in ../config.h.in ../libuser.pc.in ../configure ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS TODO admin/compile admin/config.guess admin/config.rpath admin/config.sub admin/depcomp admin/install-sh admin/ltmain.sh admin/missing admin/ylwrap lib/getdate.c apps/apputil.c apps/apputil.h lib/common.c lib/config.c lib/entity.c lib/error.c lib/getdate.y lib/internal.h lib/misc.c lib/modules.c lib/prompt.c lib/scache.c lib/user.c lib/util.c modules/files.c modules/krb5.c modules/ldap.c modules/sasldb.c modules/files.c python/libusermodule.c python/common.h python/debug.h apps/lchage.c apps/lchfn.c apps/lchsh.c apps/lgroupadd.c apps/lgroupdel.c apps/lgroupmod.c apps/lid.c apps/lnewusers.c apps/lpasswd.c apps/luseradd.c apps/luserdel.c apps/lusermod.c samples/enum.c samples/field.c samples/homedir.c samples/lookup.c samples/prompt.c samples/testuser.c tests/alloc_port.c tests/config_test.c   python/modules.txt samples/genusers tests/config.conf.in tests/config_default_useradd tests/config_import.conf.in tests/config_import2.conf.in tests/config_login.defs tests/config_login2.defs tests/config_override.conf.in tests/config_test.sh tests/default_pw.conf.in tests/default_pw_test tests/default_pw_test.py tests/files.conf.in tests/files_test tests/files_test.py tests/ldap.conf.in tests/ldaprc tests/ldap_skel.ldif tests/ldap_test tests/ldap_test.py tests/pwhash.conf.in tests/pwhash.py tests/pwhash_test tests/slapd.conf.in tests/utils.conf.in tests/utils_group tests/utils_gshadow tests/utils_passwd tests/utils_shadow tests/utils_test'; \
  dist_files=`for file in $list; do echo $file; done | \
  sed -e "s|^$srcdirstrip/||;t" \
      -e "s|^$topsrcdirstrip/|./|;t"`; \
case $dist_files in \
  */*) /bin/mkdir -p `echo "$dist_files" | \
		   sed '/\//!d;s|^|libuser-0.57.2/|;s,/[^/]*$,,' | \
		   sort -u` ;; \
esac; \

Comment 5 Martin Bříza 2012-06-06 13:19:56 UTC
The component has changed its owner to me, so I'm assigning the bug to myself.

Comment 6 Martin Bříza 2012-07-10 11:11:18 UTC
Hello,

I tried to reproduce this bug in both Fedora 15 and 16 and wasn't successful. Now that Fedora 15 is in its EOL phase, I suppose you switched to a newer release. Is this issue still present, please?

Thank you

Comment 7 Miloslav Trmač 2012-07-10 14:12:20 UTC
No, (make distcheck) now passes.  I'm not sure how reproducible or data-dependent the memory corruption was originally, I'm afraid I can't remember - I think it was crashing deterministically, but the above is not exactly a precise test case.

Comment 8 Martin Bříza 2012-07-12 07:47:23 UTC
I'm closing the bug as I can't do anything about it now. Please feel free to reopen the bug if the behavior appears again.
Thank you for reporting.


Note You need to log in before you can comment on or make changes to this bug.